Bug 1575165 - Needs to be updated from 2.0 to 2.1.1
Summary: Needs to be updated from 2.0 to 2.1.1
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kxstitch
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Golo Fuchert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 00:13 UTC by Robin Laing
Modified: 2019-11-27 18:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:15:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Robin Laing 2018-05-05 00:13:17 UTC
Description of problem:
Some bugs in Ver 2.0 have been fixed in 2.1 which has been out for a few months now. 

Version-Release number of selected component (if applicable):
Current version is 2.0.0-2 but on https://cgit.kde.org/kxstitch.git/ version 2.1.1 is available even though the release version is 2.1.0.

How reproducible:
All the time.

Steps to Reproduce:
1.  Check version number and compare to https://cgit.kde.org/kxstitch.git/ for latest version.

Actual results:


Expected results:


Additional info:

Comment 1 Robin Laing 2018-05-06 05:46:45 UTC
After further investigation, version 2.1.0 fixes a crash issue that has been a headache.

Testing 2.1.0 to see if it fixes some other of the issues that are occurring.

Comment 2 Ben Cotton 2018-11-27 15:48:24 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:29:30 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Robin Laing 2018-12-22 04:29:37 UTC
This bug is still present in Fedora 29.  Still needs to be updated.  I am updating this to NEW as the issue still exists.

Comment 5 Robin Laing 2019-05-04 22:49:27 UTC
As this is an issue that causes crashes, which are fixed in newer versions as tested on F29, it is critical.

Version 2.1.1 is now out.

Comment 6 Robin Laing 2019-05-06 02:27:58 UTC
From Kxstich mail list there should be an update coming soon to fix a bug with image import and newer version of ImageMagick

Comment 7 Robin Laing 2019-07-31 02:39:57 UTC
This is still a major issue.  Crashes with F29.

Comment 8 Robin Laing 2019-07-31 04:05:29 UTC
Just checking, version 2.2.0 for KF5 is out.  I compiled it for F29 with little issues once I got all the necessary devel packs installed.



From limited usage, no problems found yet.

Comment 9 Ben Cotton 2019-10-31 18:59:46 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Robin Laing 2019-11-04 00:21:46 UTC
Thank you.  F31, now at 2.1.1

Comment 11 Ben Cotton 2019-11-27 18:15:01 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.